Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.context.web
Class HttpSessionMapBindingListener

    java.lang.Object
      org.springframework.webflow.context.web.HttpSessionMapBindingListener

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class HttpSessionMapBindingListener

extends java.lang.Object
implements javax.servlet.http.HttpSessionBindingListener

Helper class that adapts a generic `AttributeMapBindingListener` to a HTTP specific `HttpSessionBindingListener`. Calls will be forwarded to the wrapped listener.

Author:
  Keith Donald

Constructor Summary
`HttpSessionMapBindingListener(AttributeMapBindingListener listener, java.util.Map sessionMap)` Create a new wrapper for given listener.

Method Summary
`AttributeMapBindingListener` | `getListener()` Returns the wrapped listener.
`java.util.Map` | `getSessionMap()` Returns the session map containing the listener.
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent event)`
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpSessionMapBindingListener

    public HttpSessionMapBindingListener(AttributeMapBindingListener listener,
                                         java.util.Map sessionMap)

  Create a new wrapper for given listener.

  Parameters:
    `listener` - the listener to wrap
    `sessionMap` - the session map containing the listener

Method Detail

### getListener

    public AttributeMapBindingListener getListener()

  Returns the wrapped listener.

### getSessionMap

    public java.util.Map getSessionMap()

  Returns the session map containing the listener.

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent event)

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD